###############################################################
# 실습 7번 예제 1 (파이 차트)
###############################################################

#install.packages("graphics")     # 기본 패키지 이므로 설치하지 않아도 됨
#install.packages("plotrix")      # pie3D 함수를 사용하기 위해서 설치해야함  

#library(graphics)
#library(plotrix)

x <- c(9, 15, 20, 6)
label <- c("영업 1팀", "영업 2팀", "영업 3팀", "영업 4팀")

pie(x, labels=label, main="부서별 영업 실적")
pie (x, init.angle=90, labels=label, main="부서별 영업 실적") 

pct <- round(x/sum(x)*100)
label <- paste(label, pct)
label <- paste(label,"%",sep="")
pie(x, labels=label, init.angle=90, col=rainbow(length(x)), main="부서별 영업 실적")
pie(x,labels=label, init.angle=90, col=c("red","blue","yellow","green"),
    main="부서별 영업 실적")

pie3D(x, labels=label, explode=0.1, labelcex=0.8, main="부서별 영업 실적")

pie(rep(1,12), labels=seq(1,12), col = rainbow(12))
pie(rep(1,12), labels=seq(1,12), col = heat.colors(12))      
pie(rep(1,12), labels=seq(1,12), col = terrain.colors(12))      
pie(rep(1,12), labels=seq(1,12), col = topo.colors(12))      
pie(rep(1,12), labels=seq(1,12), col = cm.colors(12))  

###############################################################
# 실습 7번 예제 2 (바 차트) 
###############################################################

height <- c(9, 15, 20, 6)
name <- c("영업 1팀", "영업 2팀", "영업 3팀", "영업 4팀")
barplot(height, names.arg=name, main="부서별 영업 실적")

barplot(height, names.arg=name, main="부서별 영업 실적", col=rainbow(length(height)))

barplot(height, names.arg=name, main="부서별 영업 실적", col=rainbow(length(height)), xlab="부서", ylab="영업 실적(억 원)")

barplot(height, names.arg=name, main="부서별 영업 실적", 
        col=rainbow(length(height)), xlab="부서", ylab="영업 실적(억 원)", ylim=c(0,25))


bp <- barplot(height, names.arg=name, main="부서별 영업 실적",
              col=rainbow(length(height)), xlab="부서", ylab="영업 실적(억원)", ylim=c(0,25))
text(x=bp, y=height, labels=round(height,0), pos=3)	

bp <- barplot(height, names.arg=name, main="부서별 영업 실적",
              col=rainbow(length(height)), xlab="부서", ylab="영업 실적(억원)", ylim=c(0,25))
text(x=bp, y=height, labels=round(height,0), pos=1)

barplot(height, names.arg=name, main="부서별 영업 실적", col=rainbow(length(height)),
        xlab="영업 실적(억 원)", ylab="부서", horiz=TRUE, width=50)

###############################################################
# 실습 7번 예제 3 (바 차트) 
###############################################################

height1 <- c(4, 18, 5, 8)
height2 <- c(9, 15, 20, 6)
height <- rbind(height1, height2)
height

name <- c("영업 1팀", "영업 2팀", "영업 3팀", "영업 4팀")
legend_lbl <- c("2014년", "2015년")

barplot(height, main="부서별 영업 실적",
        names.arg=name,
        xlab="부서", ylab="영업 실적(억 원)",
        col=c("darkblue","red"),
        legend.text=legend_lbl,
        ylim=c(0, 35))

barplot(height, main="부서별 영업 실적",
       names.arg=name,
       xlab="부서", ylab="영업 실적(억 원)",
       col=c("darkblue","red"),
       legend.text=legend_lbl,
       ylim=c(0, 30),
       beside=TRUE,
       args.legend=list(x='top'))


###############################################################
# 실습 7번 예제 4 (X-Y 플로팅과 산포도) 
###############################################################

data(women) ; women
weight <- women$weight
plot(weight)  # x 축 값을 지정하지 않으면 1부터 시작하는 일련번호가 나타남

height <- women$height

plot(height, weight, xlab="키", ylab="몸무게")

plot(height, weight, xlab="키", ylab="몸무게", type="l") 

weight <- women$weight
height <- women$height
plot(height, weight, xlab="키", ylab="몸무게", 
     pch=23, col="blue", bg="yellow", cex=1.5)


###############################################################
# 실습 7번 예제 5 (히스토 그램) 
###############################################################

data(quakes)
head(quakes)
str(quakes)

mag <- quakes$mag
mag

hist(mag, main="지진 발생 강도의 분포", xlab="지진 강도", ylab="발생 건수")

colors <- c("red", "orange", "yellow", "green", "blue", "navy", "violet")

hist(mag, main="지진 발생 강도의 분포", xlab="지진 강도", ylab="발생 건수",
     col=colors, breaks=seq(4, 6.5, by=0.5))

hist(mag, main="지진 발생 강도의 분포", xlab="지진 강도", ylab="상대도수",
     col=colors, breaks=seq(4, 6.5, by=0.5), freq=FALSE)	 

###############################################################
# 실습 7번 예제 6 (박스 플롯) 
###############################################################

data(quakes)
mag <- quakes$mag

min(mag)
max(mag)
median(mag)

quantile(mag, c(0.25, 0.5, 0.75))

boxplot(mag, main="지진 발생 강도의 분포", xlab="지진", ylab="발생 건수",col="red")

















